Bug 487155 - Library warnings on startup [NEEDINFO]
Library warnings on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ndesk-dbus (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On: 488067
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 10:54 EST by Bastien Nocera
Modified: 2009-12-18 03:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:02:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gnomeuser: needinfo? (michel)


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-02-24 10:54:26 EST
banshee-1.4.2-3.fc10.x86_64

$ banshee-1 --debug > /dev/null

** (/usr/lib64/banshee-1/Banshee.exe:2912): WARNING **: Symbol file /usr/lib64/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has incorrect version (expected 50.0, got 39)

** (/usr/lib64/banshee-1/Banshee.exe:2912): WARNING **: Symbol file /usr/lib64/mono/gac/Mono.Addins/0.3.0.0__0738eb9f132ed756/Mono.Addins.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:2912): WARNING **: Symbol file /usr/lib64/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:2912): WARNING **: Symbol file /usr/lib64/mono/gac/Mono.Zeroconf/1.0.0.75__e60c4f4a95e1099e/Mono.Zeroconf.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:2912): WARNING **: Symbol file /usr/lib64/mono-zeroconf/Mono.Zeroconf.Providers.Avahi.dll.mdb has incorrect version (expected 50.0, got 39)

** (Banshee:2912): WARNING **: Symbol file /usr/lib64/mono-zeroconf/Mono.Zeroconf.Providers.Bonjour.dll.mdb has incorrect version (expected 50.0, got 39)

Looks like badly versioned dependencies.

Libraries it complains about are in:
ndesk-dbus-0.6.1a-2.fc9.x86_64
mono-addins-0.3.1-2.2.fc10.x86_64
ndesk-dbus-glib-0.4.1-3.fc9.x86_64
mono-zeroconf-0.7.5-4.fc9.x86_64
Comment 1 David Nielsen 2009-02-24 14:11:38 EST
I believe this should be filed against ndesk-dbus and mono-zeroconf respectively. Reassigning.
Comment 2 Bastien Nocera 2009-02-24 17:49:13 EST
And I'm pretty sure it's a problem of banshee not have defined-enough dependencies on those libraries.
Comment 3 Michel Alexandre Salim 2009-02-24 19:19:39 EST
This is a known Mono problem -- the warnings are harmless, but that simply means ndesk-dbus and mono-zeroconf need to be rebuilt against the current Mono stack.

David, since you're the maintainer for both, could you do a rebuild?
Comment 4 David Nielsen 2009-02-24 19:26:21 EST
I am not the maintainer anymore, they belong to nigelj. However these will go away once the mass rebuild lands. We should really get everyone in the Mono SIG into ACL for all Mono packages.
Comment 5 Michel Alexandre Salim 2009-02-24 19:57:56 EST
The mass rebuild won't stop spurious bug reports being filed against Mono packages in F-10 and F-9, though. Could we just do a rebuild (after checking with Paul that the F-10 and F-9 Mono stack won't be updated for a while)?
Comment 6 David Nielsen 2009-02-25 02:02:26 EST
True in my defence I was mighty tired at the time. I have applied to be comaintainer for the relevant packages and I promise I will take care of it once I am allowed.
Comment 7 Fedora Update System 2009-02-25 20:07:32 EST
ndesk-dbus-glib-0.4.1-4.fc10,ndesk-dbus-0.6.1a-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ndesk-dbus-glib-0.4.1-4.fc10,ndesk-dbus-0.6.1a-4.fc10
Comment 8 David Nielsen 2009-02-25 20:09:51 EST
Mono-zeroconf will take a little bit longer, upstream released 0.8.0 which I want to update to on account of some nice bugfixes. Mono-addins will follow shortly.
Comment 9 Fedora Update System 2009-02-26 10:33:35 EST
ndesk-dbus-glib-0.4.1-4.fc10, ndesk-dbus-0.6.1a-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ndesk-dbus-glib ndesk-dbus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2115
Comment 10 David Nielsen 2009-03-02 08:59:23 EST
updates-testing should now fix all of these except boo. Boo doesn't currently build on F10, I have filed a bug with the maintainer.
Comment 11 Michel Alexandre Salim 2009-03-02 09:12:46 EST
Great work -- thanks! mono-zeroconf breaks ABI compatibility with banshee, though. I've checked and there does not seem to be any other applications using mono-zeroconf, so could you cancel the testing request for now?

We need to get rel-eng to approve adding mono-zeroconf-* to the override tag, so I can build Banshee against it, and then add Banshee to the list of packages in that update.
Comment 12 David Nielsen 2009-03-02 09:15:14 EST
done
Comment 13 Michel Alexandre Salim 2009-03-02 23:04:48 EST
Build is done (banshee-1.4.2-3.fc10.1); feel free to edit the update. Thanks!
Comment 14 Michel Alexandre Salim 2009-03-03 08:53:41 EST
I tried re-adding mono-addins, mono-zeroconf, ndesk-dbus and ndesk-dbus-glib to the update request, but apparently only the first requester gets to edit it (I get HTTP 500 errors). Currently the update only pushes banshee
Comment 15 David Nielsen 2009-03-03 09:58:39 EST
No actually bodhi just sucks, I get the 500 message as well. Aside that it should be smart enough to know that when I add a package to the update request I don't want it to magically delete the other ones.. *sigh*
Comment 16 David Nielsen 2009-03-30 07:23:32 EDT
Michel, can we consider this one solved regardless of Bastians lack of reply (say for boo which Paul promised to fix once he had time). The warnings were harmless and for the most part taken care of now
Comment 17 Bug Zapper 2009-11-18 06:13:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-12-18 03:02:00 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.